aboutsummaryrefslogtreecommitdiffhomepage
path: root/test/notmuch-test
diff options
context:
space:
mode:
Diffstat (limited to 'test/notmuch-test')
-rwxr-xr-xtest/notmuch-test5
1 files changed, 4 insertions, 1 deletions
diff --git a/test/notmuch-test b/test/notmuch-test
index 113ea7cf..53ce355c 100755
--- a/test/notmuch-test
+++ b/test/notmuch-test
@@ -62,10 +62,13 @@ else
TEST_TIMEOUT_CMD=""
fi
+trap 'e=$?; kill $!; exit $e' HUP INT TERM
# Run the tests
for test in $TESTS; do
- $TEST_TIMEOUT_CMD ./$test "$@"
+ $TEST_TIMEOUT_CMD ./$test "$@" &
+ wait $!
done
+trap - HUP INT TERM
# Report results
./aggregate-results.sh test-results/*